clang-tools 10.0.0

Public Member Functions | List of all members
clang::clangd::LSPDiagnosticCompare Struct Reference

A LSP-specific comparator used to find diagnostic in a container like std:map. More...

`#include <Protocol.h>`

## Public Member Functions
bool | operator() (const Diagnostic &LHS, const Diagnostic &RHS) const

## Detailed Description

A LSP-specific comparator used to find diagnostic in a container like std:map.

We only use the required fields of Diagnostic to do the comparison to avoid any regression issues from LSP clients (e.g. VScode), see https://git.io/vbr29

Definition at line 687 of file Protocol.h.

## Member Function Documentation

## ◆ operator()()

bool clang::clangd::LSPDiagnosticCompare::operator() | ( | const Diagnostic & | LHS,
|  | const Diagnostic & | RHS
| ) |  | const
| inline

Definition at line 688 of file Protocol.h.

References clang::clangd::fromJSON(), clang::clangd::Diagnostic::message, and clang::clangd::Diagnostic::range.

The documentation for this struct was generated from the following file:

- Protocol.h